Skip to main content
GET
Get SafeHop Statistics

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

pullZoneId
integer<int64>
required

Id of a Pull Zone

Query Parameters

dateFrom
string<date-time> | null

(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.

dateTo
string<date-time> | null

(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.

hourly
boolean
default:false

(Optional) If true, the statistics data will be returned in hourly groupping.

Response

The statistics data for the passed parameters.

RequestsRetriedChart
object | null

The constructed chart of requests retried

RequestsSavedChart
object | null

The constructed chart of requests saved

TotalRequestsRetried
number<double>

The total number of retried requests

TotalRequestsSaved
number<double>

The total number of saved requests

Last modified on June 26, 2026